/**
 *
 * Agora Real Time Engagement
 * Created by Liu Loulou in 2022-06.
 * Copyright (c) 2022 Agora IO. All rights reserved.
 *
 */
import { RteContext, RteUiLayout, RteUiWidgetBaseProps, RteUiWidgetInfo, RteUiWidgetMountOptions } from '@agora-rte/rte-controller-base';
import React from 'react';
import { ModulesContentGenerator } from './components/bundle';
export interface RteLayoutRenderOptions {
    widgetMountOptions?: RteUiWidgetMountOptions;
    localComps?: Map<string, (props: RteUiWidgetBaseProps) => React.ReactElement>;
    modulesDependedOn?: ModulesContentGenerator;
}
interface RteLayoutCompProps {
    rteContext: RteContext;
    options?: RteLayoutRenderOptions;
}
export declare class RteLayoutComp extends React.Component<RteLayoutCompProps> {
    render(): React.ReactNode;
    buildLayoutStyle(layout: RteUiLayout): {
        [key: string]: any;
    };
    searchWidgetInfo(rteContext: RteContext, extension: string, extension_group?: string): RteUiWidgetInfo | undefined;
    renderWidget(idx: number, layout: RteUiLayout, rteContext: RteContext, options?: RteLayoutRenderOptions): React.ReactNode;
    renderLayouts(rteContext: RteContext, layouts: Array<RteUiLayout>, parent: string | undefined, baseIdx: number, options?: RteLayoutRenderOptions): React.ReactNode[];
}
export {};
